Package com.xebialabs.xlrelease.utils

# Class Tree.TreeOps$

java.lang.Object
com.xebialabs.xlrelease.utils.Tree.TreeOps$

Enclosing interface:
  `Tree<A>`

public static class Tree.TreeOps$ extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Tree.TreeOps$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeOps$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final <A> scala.collection.immutable.List<A>`
  `bottomUp$extension(Tree.TreeOps<A> $this)`
  `final <A> boolean`
  `equals$extension(Tree.TreeOps<A> $this, Object x$1)`
  `final <A> Tree<A>`
  `filter$extension(Tree.TreeOps<A> $this, scala.Function1<A,Object> f)`
  `final <A> Tree<A>`
  `filterChildren$extension(Tree.TreeOps<A> $this, scala.Function1<A,Object> f)`
  `final <B, A> Tree<B>`
  `flatMap$extension(Tree.TreeOps<A> $this, scala.Function1<A,Tree<B>> f)`
  `final <B, A> B`
  `fold$extension(Tree.TreeOps<A> $this, scala.Function0<B> default_, scala.Function1<Tree.Node<A>,B> f)`
  `final <U, A> void`
  `foreach$extension(Tree.TreeOps<A> $this, scala.Function1<A,U> f)`
  `final <A> int`
  `hashCode$extension(Tree.TreeOps<A> $this)`
  `final <B, A> Tree<B>`
  `map$extension(Tree.TreeOps<A> $this, scala.Function1<A,B> f)`
  `final <A> scala.collection.immutable.List<A>`
  `toList$extension(Tree.TreeOps<A> $this)`
  `final <A> scala.Option<Tree.Node<A>>`
  `toOption$extension(Tree.TreeOps<A> $this)`
  `final <A> scala.collection.immutable.List<A>`
  `topDown$extension(Tree.TreeOps<A> $this)`
  `final <B, A> Tree<B>`
  `unsafeFlatMap$extension(Tree.TreeOps<A> $this, scala.Function1<Tree.Node<A>,Tree<B>> f)`
  `final <B, A> Tree<B>`
  `unsafeMap$extension(Tree.TreeOps<A> $this, scala.Function1<Tree.Node<A>,B> f)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final Tree.TreeOps$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### TreeOps$

    public TreeOps$()

- ## Method Details

  - ### fold$extension

    public final <B, A> B fold$extension(Tree.TreeOps<A> $this, scala.Function0<B> default_, scala.Function1<Tree.Node<A>,B> f)

  - ### map$extension

    public final <B, A> Tree<B> map$extension(Tree.TreeOps<A> $this, scala.Function1<A,B> f)

  - ### foreach$extension

    public final <U, A> void foreach$extension(Tree.TreeOps<A> $this, scala.Function1<A,U> f)

  - ### filter$extension

    public final <A> Tree<A> filter$extension(Tree.TreeOps<A> $this, scala.Function1<A,Object> f)

  - ### filterChildren$extension

    public final <A> Tree<A> filterChildren$extension(Tree.TreeOps<A> $this, scala.Function1<A,Object> f)

  - ### flatMap$extension

    public final <B, A> Tree<B> flatMap$extension(Tree.TreeOps<A> $this, scala.Function1<A,Tree<B>> f)

  - ### toOption$extension

    public final <A> scala.Option<Tree.Node<A>> toOption$extension(Tree.TreeOps<A> $this)

  - ### toList$extension

    public final <A> scala.collection.immutable.List<A> toList$extension(Tree.TreeOps<A> $this)

  - ### topDown$extension

    public final <A> scala.collection.immutable.List<A> topDown$extension(Tree.TreeOps<A> $this)

  - ### bottomUp$extension

    public final <A> scala.collection.immutable.List<A> bottomUp$extension(Tree.TreeOps<A> $this)

  - ### unsafeMap$extension

    public final <B, A> Tree<B> unsafeMap$extension(Tree.TreeOps<A> $this, scala.Function1<Tree.Node<A>,B> f)

  - ### unsafeFlatMap$extension

    public final <B, A> Tree<B> unsafeFlatMap$extension(Tree.TreeOps<A> $this, scala.Function1<Tree.Node<A>,Tree<B>> f)

  - ### hashCode$extension

    public final <A> int hashCode$extension(Tree.TreeOps<A> $this)

  - ### equals$extension

    public final <A> boolean equals$extension(Tree.TreeOps<A> $this, Object x$1)